Technical Support

Need help?

 

Vulnerability of local privilege escalation in the AgentSvc process with Consumer products (CVE-2019-12042)

Information applies to:

Products
Panda Antivirus ProPanda DomePanda Global Protection
Panda Gold ProtectionPanda Internet Security

Situation
A vulnerability has been detected by which it is possible to execute code with elevated privileges in Consumer products in versions earlier than 18.08.00. The AgentSvc process allowed executions not signed by Panda Security and with SYSTEM privileges.

Solution
This problem has been fixed in version 18.07.03, so any later version will not be affected.

Acknowledgements
Panda Security would like to thank the researcher Souhail Hammou for his dedication and effort in improving the safety of our products.


Help nº- 20190514 100063 EN

Have you resolved your query with this article?

yes no

Thanks for your answer


Why didn't you find it helpful?


The instructions are too complex.
The instructions are too long.
The instructions don't work.
I'd rather have a video.
Other reasons.




Talk to a technician!

 

Business hours: Mondays-Fridays 9:00 to 18:00 CET

Outside business hours, please use the online form.





ALWAYS ONLINE TO HELP YOU TWITTER FORUM CHAT
ALWAYS ONLINE TO HELP YOU TWITTER FORUM CHAT

Hello!

You’re about to visit our web page in English
Would you like to continue?

Yes, I want to visit the web page in English No, I want to visit the web page in

If this is not what you’re looking for,

Visit our Welcome Page!